# derived_term_automaton.hh File Reference

Provides a converter from expression to automaton based on derivatives. More...

Include dependency graph for derived_term_automaton.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<typename A , typename T , typename Exp >
void | derived_term_automaton (Element< A, T > &a, const Exp &e)
| Convert a krat expression into an automaton using derivatives.
template<typename A , typename T , typename Exp >
Element< A, T > | derived_term_automaton (const Exp &e)
| Convert a krat expression into an automaton using derivatives.
template<typename A , typename T , typename Exp >
Element< A, T > | broken_derived_term_automaton (const Exp &e)
| Convert a krat expression into an automaton using derivatives.

## Detailed Description

Provides a converter from expression to automaton based on derivatives.

Author:
  Yann Régis-Gianas <yann@lrde.epita.fr>

Date:
  Tue Jun 24 17:58:19 2003

See also:
  derived_term_automaton()

Definition in file derived_term_automaton.hh.